Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 473097 - Problem opening kernel log: Can't write to file '/home/nocpulse/var/kernel.log': No such file or directory
Summary: Problem opening kernel log: Can't write to file '/home/nocpulse/var/kernel.lo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-26 15:12 UTC by Miroslav Suchý
Modified: 2009-01-22 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:54 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2008-11-26 15:12:11 UTC
Description of problem:
When I start monitoring after while I get this error:
==> /var/log/nocpulse/kernel-error.log <==
2008-11-26 16:46:32 Problem opening kernel log: Can't write to file '/home/nocpulse/var/kernel.log': No such file or directory
Can't call method "autoflush" on an undefined value at /usr/bin/kernel.pl line 93.

Problem is in table rhn_config_macro, where 
NPVAR = %{NPHOME}/var
NPHOME = /home/%{USER}

Comment 1 Miroslav Suchý 2008-11-26 15:43:38 UTC
Commited as 666bfb9c1bf3be5c45102948a5ede0fe6dc146f0

Comment 2 Michael Mráka 2009-01-15 12:53:00 UTC
Verified.

# egrep 'No such file|undefined' /var/log/nocpulse/kernel-error.log | wc -l 
0


Note You need to log in before you can comment on or make changes to this bug.